import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export type SelectElementType = HTMLSelectElement;
export type OptionElementType = HTMLOptionElement;
export interface OptionProps {
    value: string;
    label: string;
    disabled?: boolean;
}
export interface OptGroupProps {
    label: string;
    options: OptionProps[];
}
export interface SelectCustomProps {
    options: (OptionProps | OptGroupProps)[];
    label?: string;
    helpText?: string;
    errorText?: string;
}
export type SelectProps = Omit<CommonAndHTMLProps<SelectElementType>, keyof SelectCustomProps> & SelectCustomProps;
export declare const Select: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLSelectElement>, keyof SelectCustomProps> & SelectCustomProps & React.RefAttributes<HTMLSelectElement>>;
