import React from "react";
import { CommonAndHTMLProps, SpacingTypes } from "../Element/constants";
interface RowCommonProps {
    sidePadding?: "nano" | "micro" | "tiny" | "small" | "medium" | "large" | "huge";
    gutters?: SpacingTypes;
    retainLayoutOnTabletLandscape?: boolean;
    retainLayoutOnTabletPortrait?: boolean;
    retainLayoutOnMobile?: boolean;
    retainLayoutAlways?: boolean;
}
type ConditionalLayoutProps = {
    layout: "grid";
    equaliseChildren?: never;
    equalizeChildren?: never;
} | {
    layout: "flexbox";
    equaliseChildren?: boolean;
    equalizeChildren?: boolean;
};
export type RowElementType = HTMLDivElement;
export type RowCustomProps = RowCommonProps & ConditionalLayoutProps;
export type RowProps = Omit<CommonAndHTMLProps<RowElementType>, keyof RowCustomProps> & RowCustomProps;
export declare const Row: React.ForwardRefExoticComponent<RowProps & React.RefAttributes<HTMLDivElement>>;
export {};
